/* p80211req.h: Request handling functions
*   --------------------------------------------------------------------
*
* Linux WLAN 
*
* The contents of this file are subject to the Mozilla Public
* License Version 1.0 (the "License"); you may not use this file
* except in compliance with the License. You may obtain a copy of
* the License at http://www.mozilla.org/MPL/
*
* Software distributed under the License is distributed on an "AS
* IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
* implied. See the License for the specific language governing
* rights and limitations under the License.
*
* The initial developer of the original code is Mark S. Mathews
* <mark@absoval.com>.  Portions created by Mark S. Mathews
* are Copyright (C) 1998 AbsoluteValue Software, Inc.  All Rights Reserved.
*   
* --------------------------------------------------------------------
*
* The initial author may be reached as mark@absoval.com, or 
* C/O AbsoluteValue Software Inc., P.O. Box 941149, 
* Maitland, FL, 32794-1149
*
* --------------------------------------------------------------------
*
*
* --------------------------------------------------------------------
*/

#ifndef _LINUX_P80211REQ_H

/*================================================================*/
/* Constants */

/*================================================================*/
/* Macros */

/*================================================================*/
/* Types */

/*================================================================*/
/* Externs */

/*================================================================*/
/* Function Declarations */

int	p80211req_dorequest(wlandevice_t *wlandev, UINT8 *msgbuf);
void	p80211req_confirm(wlandevice_t *wlandev);
void	p80211indicate( wlandevice_t *wlandev, p80211msg_t *msg, int len);
void	p80211netlink_init(void);

#endif
